#!/usr/bin/env node

var program = require('commander');
const packageJson = require('../package');
var path = require("path");

var mArgs = {
    inputforderPath: "",
    outputForderPath: ""
}
function parseListArgv( val , key) {
    mArgs[key] = val;
}


program.version(packageJson.version, '-v, --version')
        .option( '-i, --inputforderPath [inputforderPath]', 'Specify inputFile path', parseListArgv , ["inputforderPath"])
        .option( '-o, --outputForderPath <outputForderPath>', 'Specify outputFile path', parseListArgv , ["outputForderPath"])

program.command('run [forder]')
       .alias('r')
       .description('start run')
       .action(function (fd) {
            if (!fd) {
                fd = path.resolve(".")//当前node运行目录
            }
            console.log("forder:" + fd);
            console.log("inputforderPath:" + mArgs.inputforderPath);
            console.log("outputForderPath:" + mArgs.outputForderPath);
       }) 
       
program.parse(process.argv)

if (program.args.length === 0) {
  program.help()
}